Bug 178452 - [JSC] Remove !(OS(LINUX) && CPU(ARM64)) guards in RegisterState.h
Summary: [JSC] Remove !(OS(LINUX) && CPU(ARM64)) guards in RegisterState.h
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: JavaScriptCore (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Zan Dobersek
URL:
Keywords: InRadar
Depends on:
Blocks: 108645
  Show dependency treegraph
 
Reported: 2017-10-18 06:44 PDT by Zan Dobersek
Modified: 2017-11-15 13:03 PST (History)
9 users (show)

See Also:


Attachments
Patch (1.41 KB, patch)
2017-10-21 23:45 PDT, Zan Dobersek
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Zan Dobersek 2017-10-18 06:44:54 PDT
Those guards were added in r213472.
https://trac.webkit.org/changeset/213472/webkit

Removing them is not causing any test failures presently.
Comment 1 Zan Dobersek 2017-10-21 23:45:50 PDT
Created attachment 324519 [details]
Patch
Comment 2 Yusuke Suzuki 2017-10-22 03:00:17 PDT
Comment on attachment 324519 [details]
Patch

r=me
Comment 3 Zan Dobersek 2017-10-22 22:26:38 PDT
Comment on attachment 324519 [details]
Patch

Clearing flags on attachment: 324519

Committed r223831: <https://trac.webkit.org/changeset/223831>
Comment 4 Zan Dobersek 2017-10-22 22:26:42 PDT
All reviewed patches have been landed.  Closing bug.
Comment 5 Radar WebKit Bug Importer 2017-11-15 13:03:32 PST
<rdar://problem/35568702>